Returns the list of actions on a specified partitioned treaty.

GET /treaty/:congress/:treatyNumber/:treatySuffix/actions

Example Request

/v3/treaty/114/13/A/actions
::

"actions": [
    {
        "actionCode": "S05291",
        "actionDate": "2018-07-26",
        "committee": null,
        "text": "Resolution of advice and consent to ratification agreed to in Senate by Division Vote.",
        "type": "Floor"
    },
    {
        "actionCode": "S05311",
        "actionDate": "2018-07-26",
        "committee": null,
        "text": "Treaty moved through its parliamentary stages up to and including presentation of the resolution of advice and consent to ratification.",
        "type": "Floor"
    }
]

 
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 114.

integer
required

The treaty's assigned number. For example, the value can be 13.

string
required

The treaty's partition letter value. For example, the value can be A.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!